<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$cot_id=$_POST["cot_id"];
$campo=$_POST["campo"];

$sql=mysqli_query($con,"UPDATE cotizacion Set cot_estado_pedido='$campo' Where cot_id='$cot_id' ") or die(mysqli_error($con)); 

 $sqlt=mysqli_query($con,"SELECT * FROM cotizacion where cot_id='$cot_id' and cot_tipo='PEDIDO' and empresa='$empresa' ")or die(mysqli_error($con));
  $regt=mysqli_fetch_array($sqlt);
    $cot_n_cotizacion=$regt['cot_n_cotizacion'];
    $estado_pedido=$regt['cot_estado_pedido'];
    $cliente_id=$regt['cliente_id'];

    $clie=mysqli_query($con,"SELECT * FROM cliente where clie_id='$cliente_id' and empresa='$empresa' ")or die(mysqli_error($con));
  $cli=mysqli_fetch_array($clie);
    $clie_telefono=$cli['clie_telefono'];



?>


  <a onclick="abrirWhatsApp('<?php echo $clie_telefono; ?>', 'Hola! El estado de tu pedido N° <?php echo $cot_n_cotizacion?> es: <?php echo strtoupper($estado_pedido) ?>.  Mensaje generado por <?php echo $emp_nombre ?>')">
      <div class="alert alert-success alert-dismissable">ENVIAR ACTUALIZACIÓN DEL PEDIDO  
        <img style="width: 20PX;" src="./img/wp.png">
      </div> 
  </a>


   <script>
    function abrirWhatsApp(clie_telefono, mensaje) {
        // Construir la URL para WhatsApp Web con el teléfono y el mensaje
        var url = `https://web.whatsapp.com/send?phone=${clie_telefono}&text=${encodeURIComponent(mensaje)}`;
        
        // Abrir la ventana emergente con las dimensiones especificadas
        var ventana = window.open(url, 'popup', 'width=800,height=600');
        
        // Verificar si la ventana emergente se pudo abrir
        if (!ventana) {
            alert("Habilita las ventanas emergentes en tu navegador para enviar mensajes automáticamente.");
            return;
        }

        // Esperar 3 segundos para asegurarse de que la página de WhatsApp esté completamente cargada
        setTimeout(function() {
            // Verificar si la ventana está abierta y la podemos cerrar
            if (!ventana.closed) {
                ventana.close();
            }
        }, 5000);
    }
</script>


